- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Organization Management
- /
- Batch Get Organization Details
¶ Get organization details in batches
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get organization details in batches
¶ Method name
ManagementClient.get_organizations_batch
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| organizationCodeList | string[] | yes | - | Organization Code (organizationCode) list | ["code1","code2"] |
| withCustomData | boolean | no | - | Get custom data | true |
| withPost | boolean | no | - | Get department information | true |
| tenantId | string | no | - | Tenant ID | 623c20b2a062aaaaf41b17da |
¶ Request Response
Type: OrganizationListRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | array | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"organizationCode": "steamory",
"organizationName": "test",
"description": "test Desc",
"createdAt": "2022-07-03T03:20:30.000Z",
"updatedAt": "2022-07-03T03:20:30.000Z",
"departmentId": "60b49eb83fd80adb96f26e68",
"openDepartmentId": "60b49eb83fd80adb96f26e68",
"hasChildren": true,
"leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
"membersCount": 150,
"i18n": {
"organizationName": {
"zh-CN": {
"enabled": false,
"value": "中文"
},
"en-US": {
"enabled": false,
"value": "English"
}
}
},
"customData": {
"icon": "https://example.com/logo"
},
"tenantId": "623c20b2a062aaaaf41b17da",
"postIdList": "[\"xxx\"]",
"status": "false",
"allow": "[\"xxx\"]"
}
}
¶ Data Structure
¶ OrganizationDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| organizationCode | string | yes | Organization code | steamory |
| organizationName | string | yes | Organization name | steam memory |
| description | string | no | Organization description | Organization description |
| createdAt | string | no | Creation time | 2022-07-03T03:20:30.000Z |
| updatedAt | string | no | Modification time | 2022-07-03T03:20:30.000Z |
| departmentId | string | yes | Root node ID | 60b49eb83fd80adb96f26e68 |
| openDepartmentId | string | no | Custom ID of the root node | 60b49eb83fd80adb96f26e68 |
| hasChildren | boolean | yes | Whether to include child nodes | true |
| leaderUserIds | array | no | ID of department leader | ["60b49eb83fd80adb96f26e68"] |
| membersCount | number | yes | Number of people in the department | 150 |
| isVirtualNode | boolean | yes | Whether it is a virtual department | |
| i18n | No | Multi-language settings Nested type: OrganizationNameI18nDto. | {"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}} | |
| customData | object | No | Extended field data of department | {"icon":"https://example.com/logo"} |
| tenantId | string | No | Tenant ID | 623c20b2a062aaaaf41b17da |
| postIdList | array | No | Post id list | ["xxx"] |
| status | string | No | Status | false |
| allow | string | No | Access restriction | ["xxx"] |
¶ OrganizationNameI18nDto
| Name | Type | Is this field required? | Description | Sample value |
|---|---|---|---|---|
| organizationName | Yes | Multi-language-supported fields Nested type: LangObject. | {"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}} |
¶ LangObject
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| zh-CN | Yes | Multilingual Chinese content Nested type: LangUnit. | {"enabled":false,"value":"中文"} | |
| en-US | Yes | Multilingual English content Nested type: LangUnit. | {"enabled":false,"value":"English"} | |
| zh-TW | Yes | Multilingual Traditional Chinese content Nesting type: LangUnit. | {"enabled":false,"value":"繁體中文"} | |
| ja-JP | Yes | Multilingual Japanese content Nesting type: LangUnit. | {"enabled":false,"value":"日本語"} |
¶ LangUnit
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| enabled | boolean | yes | Whether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off) | |
| value | string | yes | Multilingual content |
